ESODBExportStats = {}
ESODBExportStats.Default = {
	Timestamp = 0,
	AddonVersion = 0,
	Gold = {
		Total = 0,
		Character = 0,
		Bank = 0,
		EarnedTotal = 0,
		EarnedLoot = 0,
		EarnedQuest = 0,
		EarnedMerchant = 0,
		EarnedGuildStore = 0,
		EarnedWorthyReward = 0,
		EarnedFence = 0,
		EarnedAntiquityReward = 0,
		PaidTotal = 0,
		PaidMerchant = 0,
		PaidStore = 0,
		PaidWayshrineTravel = 0,
		PaidMountFeed = 0,
		PaidRepair = 0,
		PaidUpgradeBackpack = 0,
		PaidQuestConversation = 0,
		PaidStoreSell = 0,
		PaidRespecAttributes = 0,
		PaidRespecMorphs = 0,
		PaidRespecSkills = 0,
		PaidLaunder = 0,
		PaidBuyback = 0,

		-- Best sell/most expensive statistics
		BestSellGuildStore = 0,
		BestSellMerchant = 0,
		BestSellFence = 0,
		MostExpensivePurchaseGuildStore = 0,
		MostExpensivePurchaseMerchant = 0,
		MostExpensiveRepair = 0,
		MostExpensiveLaunder = 0,
		MostExpensiveBuyback = 0,
		HighestAmountPickpocketGold = 0,
		HighestAmountLootedGold = 0,
	},
	TelVarStones = {
		Total = 0,
		Character = 0,
		Bank = 0,
		EarnedTotal = 0,
		EarnedNPC = 0,
		EarnedPlayer = 0,
		LostTotal = 0,
		LostDeath = 0,
		LostPlayer = 0,
		LostVendor = 0,

		-- Best/worst
		HighestAmountOnCharacter = 0,
		MostEarnedNPC = 0,
		MostEarnedPlayer = 0,
		MostLostDeath = 0,
		MostLostPlayer = 0,
		MostExpensivePurchase = 0,
	},
	Loot = {
		Armors = 0,
		Weapons = 0,
		BlacksmithingMats = 0,
		ClothierMats = 0,
		WoodworkingMats = 0,
		JewelryCraftingMats = 0,
		EnchantingRunes = 0,
		AlchemyBase = 0,
		StyleMaterial = 0,
		Drinks = 0,
		Foods = 0,
		SoulGems = 0,
		Recipes = 0,
		Lockpicks = 0,
		Ingredients = 0,
		Reagents = 0,
		Potions = 0,
		Trophies = 0,
		Glyphs = 0,
		Trash = 0,
		Lure = 0,
		Fishing = 0,
		Collectible = 0,
		Destroyed = 0,
		PsijikPortals = 0,
		ThievesTroves = 0,
		HeavySacks = 0,
	},
	LootQuality = {
		Trash = 0,
		Normal = 0,
		Magic = 0,
		Arcane = 0,
		Artifact = 0,
		Legendary = 0,
	},
	Lockpicking  = {
		Total = 0,
		Success = 0,
		Fail = 0,
		Broke = 0,
		Simple = 0,
		Intermediate = 0,
		Advanced = 0,
		Master = 0,
		Impossible = 0,
	},
	Combat = {
		DmgIn = 0,
		DmgOut = 0,
		HealIn = 0,
		HealInOverflow = 0,
		HealOut = 0,
		HealOutOverflow = 0,
		Alive = 0,
		Dead = 0,
		DeathsSlaughterfish = 0,
		DummyDmgOut = 0,
		FallingDmg = 0,
	},
	Quest = {
		Add = 0,
		Remove = 0,
		Complete = 0,
		Repeatable = 0,
	},
	Crafting = {
		Blacksmithing = 0,
		Clothier = 0,
		Enchanting = 0,
		Alchemy = 0,
		Provisioning = 0,
		Woodworking = 0,
		Jewelrycrafting = 0,
		AlchemistWritsCompleted = 0,
		BlacksmithWritsCompleted = 0,
		ClothierWritsCompleted = 0,
		EnchanterWritsCompleted = 0,
		ProvisionerWritsCompleted = 0,
		WoodworkerWritsCompleted = 0,
		JewelryCraftingWritsCompleted = 0,
	},
	Duels = {
		Won = 0,
		Lost = 0,
	},
	Justice = {
		BountyReceived = 0,
		BountyPaid = 0,
		PickpocketFailed = 0,
		NumItemsRemoved = 0,
		PickpocketItems = 0,
		PickpocketGold = 0,
		LootQualityTrash = 0,
		LootQualityNormal = 0,
		LootQualityMagic = 0,
		LootQualityArcane = 0,
		LootQualityArtifact = 0,
		LootQualityLegendary = 0,
		FenceSells = 0,
		FenceLaunders = 0,
	},
	Points = {
		ExperiencePoints = 0,
		AlliancePoints = 0,
	},
	ExperiencePointsSource = {
		Kill = 0,
		Quest = 0,
		Keep = 0,
		ScriptedEvent = 0,
		LockPick = 0,
		POIDiscovered = 0,
		POICompleted = 0,
		OverlandBossKill = 0,
	},
	Trading = {
		NumMerchantSells = 0,
		NumMerchantBuys = 0,
		NumMerchantBuybacks = 0,
		NumGuildStoreSells = 0,
		NumGuildStoreBuys = 0,
	},
	Kills = {
		Kills = 0,
		AvAKills = 0,
		AvADeads = 0,
		MudCrabKills = 0,
		CowKills = 0,
		ChickenKills = 0,
		DeerKills = 0,
		GoatKills = 0,
		SheepKills = 0,
		LizardKills = 0,
		PigKills = 0,
		RabbitKills = 0,
		RatKills = 0,
		SquirrelKills = 0,
		SpiderKills = 0,
		BantamGuarKills = 0,
		GuarKills = 0,
		BearKills = 0,
		SkeeverKills = 0,
		CamelKills = 0,
		MonkeyKills = 0,
		FoxKills = 0,
		FrogKills = 0,
		ScorpionKills = 0,
		ScribKills = 0,
		BeetleKills = 0,
		SkavengerKills = 0,
		FennecFoxKills = 0,
		SandroachKills = 0,
		ThornGeckoKills = 0,
		FellrunnerKills = 0,
		DaggerbackKills = 0,
		WormmouthKills = 0,
		DaedratKills = 0,
		EchaletteKills = 0,
		ChubLoonKills = 0,
		PocketMammothKills = 0,
		HorkerKills = 0,
		ElkKills = 0,
		SepAdderKills = 0,
		DragonFrogKills = 0,
		HeronKills = 0,
		AntelopeKills = 0,
		FiendrothKills = 0,
		CentipedeKills = 0,
		DragonKills = 0,
	},
	FastTravel = 0,
	Playtime = 0,
	GroupInvitesAccepted = 0,
	GuildJoin = 0,
	GuildLeave = 0,
	BooksOpened = 0,
	Antiquity = {
		DiggingTotal = 0,
		DiggingVictory = 0,
		DiggingAntiquityBroken = 0,
		DiggingOutOfTime = 0,
		DiggingBonusLootUnearthed = 0,
		LeadAcquired = 0,
		AntiquariansEyeUsed = 0,
		ScryingTotal = 0,
	},
	AntiquityDifficulty = {
		Simple = 0,
		Intermediate = 0,
		Advanced = 0,
		Master = 0,
		Ultimate = 0,
	},
	AntiquityScryingDifficulty = {
		Simple = 0,
		Intermediate = 0,
		Advanced = 0,
		Master = 0,
		Ultimate = 0,
	},
	WorldEvents = {
		DarkAnchor = 0,
		AbyssalGeyser = 0,
		Harrowstorm = 0,
		VolcanicVent = 0,
	},
	TimedActivities = {
		Daily = 0,
		Weekly = 0,
	},
	TalesOfTribute = {
		InvitesAccepted = 0,
		InvitesDeclined = 0,
		InvitesSent = 0,
		Turns = 0,
		GoldAccumulated = 0,
		CardsAcquired = 0,
		MatchDurationMS = 0,
		PrestigeObtain = 0,
		Victories = 0,
		Defeats = 0,

		VictoriesPatron = 0,
		VictoriesPrestige = 0,
		VictoriesEarlyConcession = 0,

		VictoriesCausual = 0,
		VictoriesNpc = 0,
		VictoriesRanked = 0,
		VictoriesFriendly = 0,

		VictoriesCausualPatron = 0,
		VictoriesCausualPrestige = 0,
		VictoriesCausualEarlyConcession = 0,
		VictoriesNpcPatron = 0,
		VictoriesNpcPrestige = 0,
		VictoriesNpcEarlyConcession = 0,
		VictoriesRankedPatron = 0,
		VictoriesRankedPrestige = 0,
		VictoriesRankedEarlyConcession = 0,
		VictoriesFriendlyPatron = 0,
		VictoriesFriendlyPrestige = 0,
		VictoriesFriendlyEarlyConcession = 0,

		DefeatsPatron = 0,
		DefeatsPrestige = 0,
		DefeatsEarlyConcession = 0,

		DefeatsCausual = 0,
		DefeatsNpc = 0,
		DefeatsRanked = 0,
		DefeatsFriendly = 0,

		DefeatsCausualPatron = 0,
		DefeatsCausualPrestige = 0,
		DefeatsCausualEarlyConcession = 0,
		DefeatsNpcPatron = 0,
		DefeatsNpcPrestige = 0,
		DefeatsNpcEarlyConcession = 0,
		DefeatsRankedPatron = 0,
		DefeatsRankedPrestige = 0,
		DefeatsRankedEarlyConcession = 0,
		DefeatsFriendlyPatron = 0,
		DefeatsFriendlyPrestige = 0,
		DefeatsFriendlyEarlyConcession = 0,

		MatchTypePlayedCausual = 0,
		MatchTypePlayedNpc = 0,
		MatchTypePlayedRanked = 0,
		MatchTypePlayedFriendly = 0,
	},
	EndlessDungeon = {
		RunsStarted = 0,
		RunsCompleted = 0,
		RunDurationsMS = 0,
		Kills = 0,
		Died = 0,
		ArchiveFortunesLooted = 0,
		ArchiveFortunesSpent = 0,
		CompletedArcs = 0,
		CompletedCycles = 0,
		CompletedStages = 0,
		RecordArc = 0,
		RecordCycle = 0,
		RecordStage = 0,
		VersesReceived = 0,
		VisionsReceived = 0,
		AvatarVisionsReceived = 0,
	},
	Battleground = {
		Started = 0,
		Completed = 0,
		Kills = 0,
		KillAssists = 0,
		TeamKills = 0,
		Died = 0,
		Wins = 0,
		Defeats = 0,
		PlayedAllianceFireDrakes = 0,
		PlayedAlliancePitDaemons = 0,
		PlayedAllianceStormLords = 0,
		PlayedGameTypeCaptureTheRelic = 0,
		PlayedGameTypeCrazyKing = 0,
		PlayedGameTypeDeathmatch = 0,
		PlayedGameTypeDomination = 0,
		PlayedGameTypeChaosball = 0,
	},
	Currencies = {},
	Housing = {
		Placed = 0,
		Removed = 0,
		Moved = 0,
		PlacedCategorySuite = 0,
		PlacedCategoryParlor = 0,
		PlacedCategoryLibrary = 0,
		PlacedCategoryDining = 0,
		PlacedCategoryCourtyard = 0,
		PlacedCategoryUndercroft = 0,
		PlacedCategoryHearth = 0,
		PlacedCategoryGallery = 0,
		PlacedCategoryWorkshop = 0,
		PlacedCategoryLighting = 0,
		PlacedCategoryConservatory = 0,
		PlacedCategoryStructures = 0,
		PlacedCategoryMiscellaneous = 0,
		PlacedCategoryMounts = 0,
		PlacedCategoryServices = 0,
		PlacedCategoryNonCombatPets = 0,
	},
	Fishing = {
		FishingRodCasts = 0,
		TimeSpent = 0,
	},
}

function ESODBExportStats:GetDefault(timestamp)

	local default = ESODBExportStats.Default

	default.Timestamp = timestamp
	default.AddonVersion = ESODatabaseExport.AddonVersionInt

	return default
end

function ESODBExportStats:CleanupStatsTable(statsTable, numKeepEntries)

	local count = 0

	-- Sort the table by Timestamp remove the oldest entries
	table.sort(statsTable, function(a, b) return a.Timestamp > b.Timestamp end)

	for key in ipairs(statsTable) do
		count = count + 1
		if(count > numKeepEntries) then
			table.remove(statsTable, key)
		end
	end

	return statsTable
end